package com.dankal.launcher4;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.android.launcher3.manager.ColumnDef;
import com.android.launcher3.manager.LauncherManager;
import com.android.launcher3.manager.ManagementInfo;

import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {


    private TextView tvAdd, tvRemove;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        tvAdd = findViewById(R.id.tv_add);

        tvRemove = findViewById(R.id.tv_remove);


        tvAdd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {


                List<ManagementInfo> managementInfoList = new ArrayList<>();

                for (int i = 0; i < 100; i++) {
                    ManagementInfo managementInfo = new ManagementInfo();
                    if (i == 0) {
                        managementInfo.setPackageName("com.tencent.tim");
                    } else if (i == 1) {
                        managementInfo.setPackageName("com.tencent.qq");
                    } else if (i == 2) {
                        managementInfo.setPackageName("com.tencent.wechat");
                    } else if (i == 3) {
                        managementInfo.setPackageName("com.taobao.taobao");
                    } else {
                        managementInfo.setPackageName("com.x.x" + i);
                    }

                    managementInfo.setUseType(ColumnDef.AppUseType.GAME_LOCK_TYPE);
                    managementInfo.setLock(ColumnDef.LockApp.LOCKED);
                    managementInfoList.add(managementInfo);
                }

                LauncherManager.getInstance().addPackageInfoList(managementInfoList);

            }
        });

        tvRemove.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                LauncherManager.getInstance().removePackageInfo("com.tencent.tim");
            }
        });

    }
}
